org.eclipse.net4j

## Interface ITransportConfig

- All Superinterfaces:
    INegotiatorAware

      public interface ITransportConfig
      extends INegotiatorAware

  A common transport configuration that specifies basic dependencies for `channel multiplexers`, `connectors` and `acceptors`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IBufferProvider` | `getBufferProvider()`
    `ILifecycle` | `getLifecycle()` Returns the lifecycle delegate used for inactivity checks in the setter implementations of this transport configuration.
    `IProtocolProvider` | `getProtocolProvider()`
    `java.util.concurrent.ExecutorService` | `getReceiveExecutor()`
    `void` | `setBufferProvider(IBufferProvider bufferProvider)`
    `void` | `setLifecycle(ILifecycle lifecycle)` Sets the lifecycle delegate to be used for inactivity checks in the setter implementations of this transport configuration.
    `void` | `setProtocolProvider(IProtocolProvider protocolProvider)`
    `void` | `setReceiveExecutor(java.util.concurrent.ExecutorService receiveExecutor)`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.INegotiatorAware

      `getNegotiator, setNegotiator`

- - ### Method Detail

    - #### getLifecycle

          ILifecycle getLifecycle()

      Returns the lifecycle delegate used for inactivity checks in the setter implementations of this transport configuration.

    - #### setLifecycle

          void setLifecycle(ILifecycle lifecycle)

      Sets the lifecycle delegate to be used for inactivity checks in the setter implementations of this transport configuration.

    - #### getBufferProvider

          IBufferProvider getBufferProvider()

    - #### setBufferProvider

          void setBufferProvider(IBufferProvider bufferProvider)

    - #### getReceiveExecutor

          java.util.concurrent.ExecutorService getReceiveExecutor()

    - #### setReceiveExecutor

          void setReceiveExecutor(java.util.concurrent.ExecutorService receiveExecutor)

    - #### getProtocolProvider

          IProtocolProvider getProtocolProvider()

    - #### setProtocolProvider

          void setProtocolProvider(IProtocolProvider protocolProvider)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html